Installing Pelican in Anaconda Python 3.42

As I have mentioned I am learning Python and I was sick of playing around with ipython configuration problems, so I just downloaded the Anaconda Python distribtution.

Anaconda uses a replacement for pip called Conda It is a good system, so I though I would just install Pelican through Conda. But no go, so back to PIP. Pip does work on Anaconda Python

So I installed Pelican with the --system-site-packages option. Anaconda Python already has all the pelican dependancies, so the only package installed is pelican itself.

When I was using python.org’s Pelican 3.4 I installed all the pelican dependancies in the virtual environment. But in this case I can’t be bothered because Ananaconda has already done most of the work for me.

pyvenv --system-site-packages pelican
cd pelican
source bin/activate

pelican stephen$ python
Python 3.4.2 |Anaconda 2.1.0 (x86_64)| (default, Oct 21 2014, 17:42:20)
[GCC 4.2.1 (Apple Inc. build 5577)] on darwin
Type "help", "copyright", "credits" or "license" for more information.

pip install pelican
Downloading pelican-3.5.0-py2.py3-none-any.whl (514kB): 514kB downloaded
Requirement already satisfied (use --upgrade to upgrade): docutils in /Users/stephen/anaconda/lib/python3.4/site-packages (from pelican)
Requirement already satisfied (use --upgrade to upgrade): pygments in /Users/stephen/anaconda/lib/python3.4/site-packages (from pelican)
Requirement already satisfied (use --upgrade to upgrade): unidecode in /Users/stephen/anaconda/lib/python3.4/site-packages (from pelican)
Requirement already satisfied (use --upgrade to upgrade): blinker in /Users/stephen/anaconda/lib/python3.4/site-packages (from pelican)
Requirement already satisfied (use --upgrade to upgrade): pytz>=0a in /Users/stephen/anaconda/lib/python3.4/site-packages (from pelican)
Requirement already satisfied (use --upgrade to upgrade): feedgenerator>=1.6 in /Users/stephen/anaconda/lib/python3.4/site-packages (from pelican)
Requirement already satisfied (use --upgrade to upgrade): jinja2>=2.7 in /Users/stephen/anaconda/lib/python3.4/site-packages (from pelican)
Requirement already satisfied (use --upgrade to upgrade): six>=1.4 in /Users/stephen/anaconda/lib/python3.4/site-packages (from pelican)
Requirement already satisfied (use --upgrade to upgrade): python-dateutil in /Users/stephen/anaconda/lib/python3.4/site-packages (from pelican)
Installing collected packages: pelican
Successfully installed pelican
Cleaning up...